truncate table USERS;

INSERT INTO USERS (ID, USER_NAME, PASSWORD, USER_TYPE, EMAIL, STATUS, ENABLED, FIRST_NAME, LAST_NAME) VALUES (1, 'admin', '5f4dcc3b5aa765d61d8327deb882cf99', 'super', 'admin@admin.com', '1', '1', 'tigo', 'admin');

truncate table NOTIFICATION_TEMPLATE;

INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (1, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>¡Bienvenido a TIGO!</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
            <p style="font-size: 12.8px;"><strong>Hola ${(user.firstName)!} ${(user.lastName)!}</strong></p>
            <p style="font-size: 12.8px;">Usted ha sido creado como ${(user.userType)!} para el programa de proveedores de Tigo Guatemala. </p>
			<p style="font-size: 12.8px;">Datos de ingreso:</p><ul style="font-size: 12.8px;"><li>User: ${(user.userName)!}</li><li>Email: ${(user.email)!}</li><li>Password: ${(user.password)!}</li></ul>
            
			</div>
		</div>
	</div>
</div>', 'ususario.nuevo', 0, 1, 'Credenciales Acceso TIGO', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (2, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>¡Bienvenido a TIGO!</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
<p style="font-size: 12.8px;"><strong>Hola ${(provider.nombre)!} </strong></p>
<p style="font-size: 12.8px;">Estimado proveedor en nombre de Tigo Guatemala, me complace invitarle formalmente a nuestro programa de Performance Review Meeting y
                     Scorecard del ${(year)!}. Este programa incluye a los proveedores en los que Tigo está interesado en desarrollar la relación comercial y técnica durante este año.</p>
<p style="font-size: 12.8px;"></p><p></p><p style="font-size: 12.8px;"> Adjunta encontrará la carta de invitación y detalles sobre la invitación.</p>
            
			</div>
		</div>
	</div>
</div>', 'provider.new', 0, 1, 'Bienvenido a proveedores TIGO', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (3, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Evaluaciones</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
            <p style="font-size: 12.8px;">
                A continuación encontrará el link para realizar la revisión y aprobación del Scorecard del mes de ${(expireQuiz)!} del proveedor ${(provider.nombre)!}.  
            
            </p>
			</div>
		</div>
	</div>
</div>', 'new.new', 0, 1, 'Cambio de estado evalucion', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (4, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Evaluaciones</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
<p style="font-size: 12.8px;">Tiene una evaluación para revisión y aprobación
            
			</div>
		</div>
	</div>
</div>', 'gere.new', 0, 1, 'Nueva evaluacion para direccion', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (5, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Evaluaciones</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
<p style="font-size: 12.8px;">Tiene una evaluación para revisión y aprobación
            
			</div>
		</div>
	</div>
</div>', 'gere.new', 0, 1, 'Nueva Evalucion ingresada para gerencia', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (6, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Evaluaciones</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
<p style="font-size: 12.8px;">
La evaluación del mes de  ${(expireQuiz)!} del proveedor ${(provider.nombre)!} fue Rechazada.
            
            </p>
			</div>
		</div>
	</div>
</div>', 'contract_rej.new', 0, 1, 'Nueva evaluacion rechazada para revision', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (7, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Evaluaciones</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
<p style="font-size: 12.8px;">La evaluación del mes de  ${(expireQuiz)!} del proveedor ${(provider.nombre)!}  <strong>Aprobada y publicada.</strong>
            
			</div>
		</div>
	</div>
</div>', 'contract_rej.new', 0, 1, 'Nueva Evaluacion APROBADA', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (8, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Evaluaciones</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
		<p style="font-size: 12.8px;">El Scorecard correspondiente al mes de ${(expireQuiz)!} del proveedor ${(provider.nombre)!} ha sido <strong>Publicada</strong> y puede revisar a través del siguiente link: para visualización.
            
			</div>
		</div>
	</div>
</div>', 'contract_rej.new', 0, 1, 'Evalucion lista para visualizar', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (9, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Recordatorio</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
		<p style="font-size: 12.8px;">
            A continuación encontrarán el link para realizar la calificación de desempeño del 
            mes de  ${(expireQuiz)!} del proveedor ${(provider.nombre)!}. Por favor su ayuda para ingresar resultado a más tardar el 
              ${(maxQuizDate)!} para poder consolidarlo y enviar al proveedor antes del 10 de este mes.
        </p>
			</div>
		</div>
	</div>
</div>', 'contract_rej.new', 0, 1, 'Evalucion lista para visualizar', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (10, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Recordatorio</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
		<p style="font-size: 12.8px;">Debe realizar una evaluación asignada del siguiente proveedor: ${(nombre)!}
			</div>
		</div>
	</div>
</div>', 'contract_rej.new', 0, 1, 'Evalucion lista para visualizar', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (11, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Recordatorio</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
		<p style="font-size: 12.8px;">Debe realizar una evaluación <strong>vencida</strong> del siguiente proveedor: ${(nombre)!}
			</div>
		</div>
	</div>
</div>', 'contract_rej.new', 0, 1, 'Evalucion lista para visualizar', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (12, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Recordatorio</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
		<p style="font-size: 12.8px;">Tiene un punto de acción <strong>vencido</strong>: ${(provider.nombre)!}
			</div>
		</div>
	</div>
</div>', 'contract_rej.new', 0, 1, 'Recordatorio tiene un punto de accion vencido', 'javamail');
INSERT INTO SOCRECARDNEW.NOTIFICATION_TEMPLATE (ID, CREATED_BY, CREATED_ON, UPDATED_BY, UPDATED_ON, VERSION, BODY, NAME, SCOPE, STATUS, SUBJECT, TYPE) VALUES (13, 'admin', null, 'admin', null, 0, '<div style="background-color: rgb(242,243,245);padding: 20.0px;"> 
	<div style="max-width: 600.0px;margin: 0 auto;">
		<div style="background: rgb(255,255,255);font: 14.0px sans-serif;color: rgb(104,111,122);border-top: 4.0px solid rgb(0,0,128);margin-bottom: 20.0px;">
			<div style="border-bottom: 1.0px solid rgb(242,243,245);padding: 20.0px 30.0px;">
				<p style="margin: 0;color: rgb(51,51,51);">
					<b> <h3>Recordatorio</h3></b> 
				</p>
			</div> 
		<div style="padding: 20.0px 30.0px;">
			<div style="font-size: 16.0px;line-height: 1.5em;border-bottom: 1.0px solid rgb(242,243,245);padding-bottom: 10.0px;margin-bottom: 20.0px;">
            
		<p style="font-size: 12.8px;">Se ha realizado la edición de un punto de acción del plan con el proveedor ${(provider.nombre)!}
			</div>
		</div>
	</div>
</div>', 'contract_rej.new', 0, 1, 'Punto de accion modificado por proveedor', 'javamail');